| Home | Libraries | People | FAQ | More

#### buffer (26 of 28 overloads)

Create a new non-modifiable buffer that represents the given POD vector.

    template<
        typename PodType,
        typename Allocator>
    const_buffers_1 buffer(
        const std::vector< PodType, Allocator > & data,
        std::size_t max_size_in_bytes);

###### Return Value

A `const_buffers_1` value equivalent to:

    const_buffers_1(
        data.size() ? &data[0] : 0,
        min(data.size() * sizeof(PodType), max_size_in_bytes));

###### Remarks

The buffer is invalidated by any vector operation that would also invalidate iterators.